Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.xml
Class XMLDataStoreException

`java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
oracle.toplink.exceptions.TopLinkException
oracle.toplink.exceptions.DatabaseException
oracle.toplink.sdk.SDKDataStoreException
oracle.toplink.xml.XMLDataStoreException`

All Implemented Interfaces:
  java.io.Serializable

Deprecated. since OracleAS TopLink 10g (10.1.3). This class is replaced by `oracle.toplink.ox`

public class XMLDataStoreException
extends SDKDataStoreException

Exception used for any problem detected while interacting with the XML "data store".

Since:
  TOPLink/Java 3.0
See Also:
  Serialized Form

Field Summary
`static int` | `CLASS_NOT_FOUND` Deprecated.
`static int` | `DIRECTORY_COULD_NOT_BE_CREATED` Deprecated.
`static int` | `DIRECTORY_NOT_FOUND` Deprecated.
`static int` | `ELEMENT_DATA_TYPE_NAME_IS_REQUIRED` Deprecated.
`static int` | `FILE_ALREADY_EXISTS` Deprecated.
`static int` | `FILE_NOT_FOUND` Deprecated.
`static int` | `GENERAL_EXCEPTION` Deprecated.
`static int` | `HETEROGENEOUS_CHILD_ELEMENTS` Deprecated.
`static int` | `HETEROGENEOUS_TABLE_NAMES` Deprecated.
`static int` | `ILLEGAL_ACCESS_EXCEPTION` Deprecated.
`static int` | `INSTANTIATION_EXCEPTION` Deprecated.
`static int` | `INSTANTIATION_ILLEGAL_ACCESS_EXCEPTION` Deprecated.
`static int` | `INVALID_FIELD_VALUE` Deprecated.
`static int` | `INVOCATION_TARGET_EXCEPTION` Deprecated.
`static int` | `IOEXCEPTION` Deprecated.
`static int` | `NO_SUCH_METHOD` Deprecated.
`static int` | `NOT_A_DIRECTORY` Deprecated.
`static int` | `SAX_PARSER_ERROR` Deprecated.
`static int` | `UNABLE_TO_CLOSE_READ_STREAM` Deprecated.
`static int` | `UNABLE_TO_CLOSE_WRITE_STREAM` Deprecated.
`static int` | `UNABLE_TO_CREATE_WRITE_STREAM` Deprecated.

Fields inherited from class oracle.toplink.sdk.SDKDataStoreException
`IAE_WHEN_INSTANTIATING_ACCESSOR, IE_WHEN_INSTANTIATING_ACCESSOR, INCORRECT_LOGIN_INSTANCE_PROVIDED, INVALID_CALL, SDK_PLATFORM_DOES_SUPPORT_SEQUENCES, UNSUPPORTED`

Fields inherited from class oracle.toplink.exceptions.DatabaseException
`CANNOT_REGISTER_SYNCHRONIZATIONLISTENER_FOR_UNITOFWORK, CONFIGURATION_ERROR_CLASS_NOT_FOUND, CONFIGURATION_ERROR_NEW_INSTANCE_ILLEGAL_ACCESS_EXCEPTION, CONFIGURATION_ERROR_NEW_INSTANCE_INSTANTIATION_EXCEPTION, COULD_NOT_CONVERT_OBJECT_TYPE, DATABASE_ACCESSOR_NOT_CONNECTED, ERROR_PREALLOCATING_SEQUENCE_NUMBERS, ERROR_READING_BLOB_DATA, ERROR_RETRIEVE_DB_METADATA_THROUGH_JDBC_CONNECTION, LOGOUT_WHILE_TRANSACTION_IN_PROGRESS, SEQUENCE_TABLE_INFORMATION_NOT_COMPLETE, SQL_EXCEPTION, SYNCHRONIZED_UNITOFWORK_DOES_NOT_SUPPORT_COMMITANDRESUME, TRANSACTION_MANAGER_NOT_SET_FOR_JTS_DRIVER`

Method Summary
`static XMLDataStoreException` | `classNotFound(java.lang.String className)` Deprecated.
`static XMLDataStoreException` | `directoryCouldNotBeCreated(java.io.File directory)` Deprecated.
`static XMLDataStoreException` | `directoryNotFound(java.io.File directory)` Deprecated.
`static XMLDataStoreException` | `elementDataTypeNameIsRequired(java.util.Vector elements)` Deprecated.
`static XMLDataStoreException` | `fileAlreadyExists(java.io.File file)` Deprecated.
`static XMLDataStoreException` | `fileNotFound(java.io.File file, java.io.IOException ioException)` Deprecated.
`static XMLDataStoreException` | `generalException(java.lang.Exception exception)` Deprecated.
`static XMLDataStoreException` | `heterogeneousChildElements(java.lang.Object parentNode)` Deprecated.
`static XMLDataStoreException` | `heterogeneousTableNames(DatabaseRow row)` Deprecated.
`static XMLDataStoreException` | `illegalAccessException(java.lang.reflect.Method method)` Deprecated.
`static XMLDataStoreException` | `instantiationException(java.lang.Class javaClass)` Deprecated.
`static XMLDataStoreException` | `instantiationIllegalAccessException(java.lang.Class javaClass)` Deprecated.
`static XMLDataStoreException` | `invalidFieldValue(java.lang.String fieldName, java.lang.Object fieldValue)` Deprecated.
`static XMLDataStoreException` | `invocationTargetException(java.lang.reflect.Method method, java.lang.reflect.InvocationTargetException ite)` Deprecated.
`static XMLDataStoreException` | `ioException(java.io.IOException ioException)` Deprecated.
`static XMLDataStoreException` | `noSuchMethod(java.lang.Class javaClass, java.lang.String methodName)` Deprecated.
`static XMLDataStoreException` | `notADirectory(java.io.File directory)` Deprecated.
`static XMLDataStoreException` | `parserError(XMLPlatformException parseException)` Deprecated.
`static XMLDataStoreException` | `unableToCloseReadStream(java.lang.Object translator, java.io.IOException ioException)` Deprecated.
`static XMLDataStoreException` | `unableToCloseWriteStream(XMLCall call, java.io.IOException ioException)` Deprecated.
`static XMLDataStoreException` | `unableToCreateWriteStream(java.io.File file, java.io.IOException ioException)` Deprecated.

Methods inherited from class oracle.toplink.sdk.SDKDataStoreException
`illegalAccessExceptionWhenInstantiatingAccessor, incorrectLoginInstanceProvided, instantiationExceptionWhenInstantiatingAccessor, invalidCall, sdkPlatformDoesNotSupportSequences, unsupported`

Methods inherited from class oracle.toplink.exceptions.DatabaseException
`cannotRegisterSynchronizatonListenerForUnitOfWork, configurationErrorClassNotFound, configurationErrorNewInstanceIllegalAccessException, configurationErrorNewInstanceInstantiationException, couldNotConvertObjectType, databaseAccessorNotConnected, databaseAccessorNotConnected, errorPreallocatingSequenceNumbers, errorReadingBlobData, errorRetrieveDbMetadataThroughJDBCConnection, getAccessor, getCall, getDatabaseErrorCode, getMessage, getQuery, getQueryArguments, getQueryArgumentsRecord, logoutWhileTransactionInProgress, sequenceTableInformationNotComplete, setQuery, setQueryArguments, sqlException, sqlException, sqlException, synchronizedUnitOfWorkDoesNotSupportCommitAndResume, transactionManagerNotSetForJTSDriver`

Methods inherited from class oracle.toplink.exceptions.TopLinkException
`getErrorCode, getInternalException, getSession, printStackTrace, printStackTrace, printStackTrace, setShouldPrintInternalException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### FILE_NOT_FOUND

    public static final int FILE_NOT_FOUND

  Deprecated.
  See Also:
    Constant Field Values

### UNABLE_TO_CLOSE_WRITE_STREAM

    public static final int UNABLE_TO_CLOSE_WRITE_STREAM

  Deprecated.
  See Also:
    Constant Field Values

### NOT_A_DIRECTORY

    public static final int NOT_A_DIRECTORY

  Deprecated.
  See Also:
    Constant Field Values

### DIRECTORY_COULD_NOT_BE_CREATED

    public static final int DIRECTORY_COULD_NOT_BE_CREATED

  Deprecated.
  See Also:
    Constant Field Values

### DIRECTORY_NOT_FOUND

    public static final int DIRECTORY_NOT_FOUND

  Deprecated.
  See Also:
    Constant Field Values

### FILE_ALREADY_EXISTS

    public static final int FILE_ALREADY_EXISTS

  Deprecated.
  See Also:
    Constant Field Values

### UNABLE_TO_CREATE_WRITE_STREAM

    public static final int UNABLE_TO_CREATE_WRITE_STREAM

  Deprecated.
  See Also:
    Constant Field Values

### INVALID_FIELD_VALUE

    public static final int INVALID_FIELD_VALUE

  Deprecated.
  See Also:
    Constant Field Values

### CLASS_NOT_FOUND

    public static final int CLASS_NOT_FOUND

  Deprecated.
  See Also:
    Constant Field Values

### SAX_PARSER_ERROR

    public static final int SAX_PARSER_ERROR

  Deprecated.
  See Also:
    Constant Field Values

### GENERAL_EXCEPTION

    public static final int GENERAL_EXCEPTION

  Deprecated.
  See Also:
    Constant Field Values

### IOEXCEPTION

    public static final int IOEXCEPTION

  Deprecated.
  See Also:
    Constant Field Values

### UNABLE_TO_CLOSE_READ_STREAM

    public static final int UNABLE_TO_CLOSE_READ_STREAM

  Deprecated.
  See Also:
    Constant Field Values

### HETEROGENEOUS_CHILD_ELEMENTS

    public static final int HETEROGENEOUS_CHILD_ELEMENTS

  Deprecated.
  See Also:
    Constant Field Values

### NO_SUCH_METHOD

    public static final int NO_SUCH_METHOD

  Deprecated.
  See Also:
    Constant Field Values

### ILLEGAL_ACCESS_EXCEPTION

    public static final int ILLEGAL_ACCESS_EXCEPTION

  Deprecated.
  See Also:
    Constant Field Values

### INVOCATION_TARGET_EXCEPTION

    public static final int INVOCATION_TARGET_EXCEPTION

  Deprecated.
  See Also:
    Constant Field Values

### INSTANTIATION_EXCEPTION

    public static final int INSTANTIATION_EXCEPTION

  Deprecated.
  See Also:
    Constant Field Values

### INSTANTIATION_ILLEGAL_ACCESS_EXCEPTION

    public static final int INSTANTIATION_ILLEGAL_ACCESS_EXCEPTION

  Deprecated.
  See Also:
    Constant Field Values

### HETEROGENEOUS_TABLE_NAMES

    public static final int HETEROGENEOUS_TABLE_NAMES

  Deprecated.
  See Also:
    Constant Field Values

### ELEMENT_DATA_TYPE_NAME_IS_REQUIRED

    public static final int ELEMENT_DATA_TYPE_NAME_IS_REQUIRED

  Deprecated.
  See Also:
    Constant Field Values

Method Detail

### classNotFound

    public static XMLDataStoreException classNotFound(java.lang.String className)

  Deprecated.

### directoryCouldNotBeCreated

    public static XMLDataStoreException directoryCouldNotBeCreated(java.io.File directory)

  Deprecated.

### directoryNotFound

    public static XMLDataStoreException directoryNotFound(java.io.File directory)

  Deprecated.

### elementDataTypeNameIsRequired

    public static XMLDataStoreException elementDataTypeNameIsRequired(java.util.Vector elements)

  Deprecated.

### fileAlreadyExists

    public static XMLDataStoreException fileAlreadyExists(java.io.File file)

  Deprecated.

### fileNotFound

    public static XMLDataStoreException fileNotFound(java.io.File file,
                                                     java.io.IOException ioException)

  Deprecated.

### generalException

    public static XMLDataStoreException generalException(java.lang.Exception exception)

  Deprecated.

### heterogeneousChildElements

    public static XMLDataStoreException heterogeneousChildElements(java.lang.Object parentNode)

  Deprecated.

### heterogeneousTableNames

    public static XMLDataStoreException heterogeneousTableNames(DatabaseRow row)

  Deprecated.

### illegalAccessException

    public static XMLDataStoreException illegalAccessException(java.lang.reflect.Method method)

  Deprecated.

### instantiationException

    public static XMLDataStoreException instantiationException(java.lang.Class javaClass)

  Deprecated.

### instantiationIllegalAccessException

    public static XMLDataStoreException instantiationIllegalAccessException(java.lang.Class javaClass)

  Deprecated.

### invalidFieldValue

    public static XMLDataStoreException invalidFieldValue(java.lang.String fieldName,
                                                          java.lang.Object fieldValue)

  Deprecated.

### invocationTargetException

    public static XMLDataStoreException invocationTargetException(java.lang.reflect.Method method,
                                                                  java.lang.reflect.InvocationTargetException ite)

  Deprecated.

### ioException

    public static XMLDataStoreException ioException(java.io.IOException ioException)

  Deprecated.

### noSuchMethod

    public static XMLDataStoreException noSuchMethod(java.lang.Class javaClass,
                                                     java.lang.String methodName)

  Deprecated.

### notADirectory

    public static XMLDataStoreException notADirectory(java.io.File directory)

  Deprecated.

### parserError

    public static XMLDataStoreException parserError(XMLPlatformException parseException)

  Deprecated.

### unableToCloseReadStream

    public static XMLDataStoreException unableToCloseReadStream(java.lang.Object translator,
                                                                java.io.IOException ioException)

  Deprecated.

### unableToCloseWriteStream

    public static XMLDataStoreException unableToCloseWriteStream(XMLCall call,
                                                                 java.io.IOException ioException)

  Deprecated.

### unableToCreateWriteStream

    public static XMLDataStoreException unableToCreateWriteStream(java.io.File file,
                                                                  java.io.IOException ioException)

  Deprecated.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD